function [ sensors ] = simRobot(filename, XP, YP, Orient, SensorOrients, SensorAngle, SensorRange)
%simRobot('map1.csv', 0, 0, 25, [20, -20, 90, -90, 180], 15, 0.7)

sensors=zeros(size(SensorOrients));

Xs=[];
Ys=[];

LineRes=10;
SenRes=11;

M=csvread(filename);

for i=1:size(M, 1),
    [Xn, Yn]=plotsegment(M(i, 1), M(i, 2), M(i, 3), M(i, 4), LineRes);
    Xs=cat(2, Xs, Xn);
    Ys=cat(2, Ys, Yn);
end

for i=1:length(SensorOrients),
    [Xn, Yn]=drawarc(XP, YP, SensorRange, SensorAngle, Orient+SensorOrients(i), SenRes);
    Xs=cat(2, Xs, Xn);
    Ys=cat(2, Ys, Yn);
end

plot(Xs, Ys, ' .b');
axis equal;



CenterX=ones(SenRes, 1)*XP;
CenterY=ones(SenRes, 1)*YP;

for i=1:length(SensorOrients),
    [Xn, Yn]=drawarc(XP, YP, SensorRange, SensorAngle, Orient+SensorOrients(i), SenRes);
    SenRays=[CenterX CenterY Xn' Yn'];
    out = lineSegmentIntersect(SenRays,M);
    Distances=sqrt(((out.intMatrixX-XP).^2)+((out.intMatrixY-YP).^2));
    if (sum(out.intAdjacencyMatrix(:))>0),
        sensors(i)=(min(Distances(out.intAdjacencyMatrix))/SensorRange)*-1+1;
    end
end

end
